# OpenVINO™ Node.js Bindings Examples of Usage

## Install

To run samples, install dependencies first. In current directory run:
```bash
npm install
```

Note: Perform these steps also before running notebooks.

## Samples

  - hello_classification
  - hello_reshape_ssd
  - classification_sample_async

## Notebooks

Use [Node.js Notebooks (REPL)](https://marketplace.visualstudio.com/items?itemName=donjayamanne.typescript-notebook)
VSCode extension to run these notebook samples

- ./notebooks
  - hello-world.nnb
  - hello-segmentation.nnb
  - hello-detection.nnb
  - question-answering.nnb
  - pose-estimation.nnb

## Live Sample

You can run this sample in the browser; no installation is required.
[Codesandbox](https://codesandbox.io/) is a free online service with limited resources. For optimal performance and more control,  it is recommended to run the sample locally.

- [hello-classification-sample](https://codesandbox.io/p/devbox/openvino-node-hello-classification-sample-djl893)

## See Also

* [OpenVINO™ JavaScript API Developer Documentation](../../../src/bindings/js/docs/README.md#openvino-node-package-developer-documentation)
* [OpenVINO™ README](../../../README.md)
