# OpenVINO™ Node.js Bindings

Use OpenVINO JavaScript API for your Node.js application.

## Usage

Install the **openvino-node** package:
```bash
npm install openvino-node
```

Use the **openvino-node** package:
```js
const { addon: ov } = require('openvino-node');
```

## Usage in Electron applications

To use the package in development of Electron applications on Windows, make sure that
**Desktop development with C++** component from
[Build Tools for Visual Studio](https://aka.ms/vs/17/release/vs_BuildTools.exe) is installed.

## Build From Sources

For more details, refer to the [OpenVINO™ JavaScript API Developer Documentation](https://github.com/openvinotoolkit/openvino/blob/master/src/bindings/js/docs/README.md#openvino-node-package-developer-documentation)

## Documentation & Samples

- [OpenVINO™ Node.js API](https://docs.openvino.ai/2024/api/nodejs_api/nodejs_api.html)
- [OpenVINO™ Node.js Bindings Examples of Usage](https://github.com/openvinotoolkit/openvino/blob/master/samples/js/node/README.md)

## Live Sample

You can run this sample in the browser; no installation is required.
[Codesandbox](https://codesandbox.io/) is a free online service with limited resources. For optimal performance and more control,  it is recommended to run the sample locally.

- [hello-classification-sample](https://codesandbox.io/p/devbox/openvino-node-hello-classification-sample-djl893)

## See Also

* [OpenVINO™ README](https://github.com/openvinotoolkit/openvino/blob/master/README.md)
* [OpenVINO™ Core Components](https://github.com/openvinotoolkit/openvino/blob/master/src/README.md)
* [OpenVINO™ Python API](https://github.com/openvinotoolkit/openvino/blob/master/src/bindings/python/README.md)
* [OpenVINO™ Other Bindings](https://github.com/openvinotoolkit/openvino/blob/master/src/bindings/README.md)

[License](https://github.com/openvinotoolkit/openvino/blob/master/LICENSE)

Copyright © 2018-2024 Intel Corporation
